
function Bartender3:SetupDefaults()
	self.defaults = {
		Bars = {
			[1] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = true,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[2] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = false,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[3] = {
				Rows = 12,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[4] = {
				Rows = 12,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[5] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[6] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[7] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = false,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[8] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = false,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[9] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = false,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
			[10] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = false,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
			},
		},
		SpecialBars = {
			["STANCE"] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Style = "Dreamlayout",
			},
			["PET"] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Style = "Dreamlayout",
			},
			["MICROMENU"] = {
				Rows = 1,
				Padding = -4,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Style = "Default",
			},
			["BAGS"] = {
				Rows = 1,
				Padding = 1,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Keyring = true,
				OneBag = false,
				Style = "Dreamlayout",
			},
		},
		Layout = 0,
		HideTooltip = false,
		SelfCastModifier = "alt",
		SelfCastRightClick = false,
		ShowCooldown = true,
		Keybindings = {},
	}
	
	self.defaultpositions = {
		[1] = {
			PosX = -5,
			PosY = -5,
			Anchor = "BOTTOMLEFT",
		},
		[2] = {
			PosX = 300,
			PosY = 300,
			Anchor = "BOTTOMLEFT",
		},
		[3] = {
			PosX = -41,
			PosY = 100,
			Anchor = "BOTTOMRIGHT",
		},
		[4] = {
			PosX = -77,
			PosY = 100,
			Anchor = "BOTTOMRIGHT",
		},
		[5] = {
			PosX = -5,
			PosY = 67,
			Anchor = "BOTTOMLEFT",
		},
		[6] = {
			PosX = -5,
			PosY = 31,
			Anchor = "BOTTOMLEFT",
		},
		[7] = {
			PosX = 300,
			PosY = 336,
			Anchor = "BOTTOMLEFT",
		},
		[8] = {
			PosX = 300,
			PosY = 372,
			Anchor = "BOTTOMLEFT",
		},
		[9] = {
			PosX = 300,
			PosY = 408,
			Anchor = "BOTTOMLEFT",
		},
		[10] = {
			PosX = 300,
			PosY = 444,
			Anchor = "BOTTOMLEFT",
		},
		["STANCE"] = {
			PosX = 20,
			PosY = 110,
			Anchor = "BOTTOMLEFT",
		},
		["PET"] = {
			PosX = 20,
			PosY = 140,
			Anchor = "BOTTOMLEFT",
		},
		["MICROMENU"] = {
			PosX = -206,
			PosY = 25,
			Anchor = "BOTTOMRIGHT",
		},
		["BAGS"] = {
			PosX = -214,
			PosY = 50,
			Anchor = "BOTTOMRIGHT",
		},
	}
	
	self:RegisterDefaults('profile', self.defaults)
end
